Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.nativebinaries.language.c.tasks
[Groovy] Class CCompile

    java.lang.Object
      org.gradle.api.internal.AbstractTask
          org.gradle.api.DefaultTask
              org.gradle.nativebinaries.language.c.tasks.AbstractNativeCompileTask
                  org.gradle.nativebinaries.language.c.tasks.CCompile

    @Incubating
    class CCompile
    extends AbstractNativeCompileTask

Compiles C source files into object files.

Constructor Summary
`CCompile(CacheRepository cacheRepository)`

Method Summary
`protected NativeCompileSpec` | `createCompileSpec()`
`protected Compiler` | `createCompiler(PlatformToolChain toolChain)`

Methods inherited from class AbstractNativeCompileTask
compile, createCompileSpec, createCompiler, getOutputType, includes, includes, source

Constructor Detail

### CCompile

    @Inject
    CCompile(CacheRepository cacheRepository)

Method Detail

### createCompileSpec

    @Override
    protected NativeCompileSpec createCompileSpec()

### createCompiler

    protected Compiler createCompiler(PlatformToolChain toolChain)

Gradle API 1.10